
/* Las variables de una función se llaman automáticas, internas o locales. Solo
   son accesibles desde la función en la que se encuentren y no guardan su valor
   entre llamadas. Si queremos guardar dicho valor hay que definirlas static, por
   ejemplo: static float x;
*/
float f_suma(int c, int d)
{				/* En la declaración y en la definición no hace 
				   falta que coincidan los nombres */
    float x;
    int i, t;
    if (c == d) {		/* si los dos números son iguales  */
	return c + d;
    }

    if (c > d) {		/* Si el primero es el mayor los intercambiamos */
	t = c;
	c = d;
	d = t;
    }

    x = c;
    for (i = c + 1; i <= d; i++)
	x += i;
    return x;
}
