/* Ilustra cómo usar caracteres  */
#include <stdio.h>
int main(void)
{
    int i;
    char c;		/* variable char, para almacenar caracteres */

    c = 'A';		/* Guardamos en la variable c el carácter A */

    printf("%c\n", c);	/* %c para indicar que es un carácter */

    printf("%d\n", c);	/* con %d obtenemos el número que codifica la letra A,
			   puesto que el tipo char simplemente guarda un entero y
			   tiene el tamaño necesario para almacenar la codificación    
			   que se use en el sistema, habitualmente es un 
			   byte por lo que puede almacenar 255 caracteres 
			   (imprimibles y no imprimibles)  */
    for (i = 33; i < 127; i++)
	printf("%c = %d\n", i, i);	/* imprime todos los caracteres */
    return 0;
}
