#include <stdio.h>

/* Hemos usado siempre main sin argumentos (main() o main(void)). Pero
   main puede recibir argumentos. Por ejemplo, cuando usamos la orden:

   gcc argumentos.c -o argumentos

   el programa gcc recibe tres argumentos: argumentos.c, -o y argumentos.

   La variable argc nos indica cuántos argumentos hay y en este caso vale 4, 
   porque el nombre del programa también cuenta y el vector argv[] apunta a cada
   argumento. Para este curso resulta demasiado difícil explicar teóricamente la
   definición de argv[] por lo que solo vamos a usarla de manera práctica, así
   que prueba a ejecutar el programa así: ./argumentos hola adios
*/
int main(int argc, char *argv[])
{
    int i;
    printf("Número de argumentos: %d\n", argc);
    i = 0;
    while (i < argc) {
	printf("argumento %d: %s\n", i, argv[i]);
	i++;
    }
    return 0;
}
