/* Calcula el doble de un número que se introduce como argumento */

#include <stdio.h>
#include <stdlib.h>		/* Para poder usar la función atoi */

int main(int argc, char *argv[])
{
    int i;

    if (argc != 2) {	/* comprobamos que se invoca adecuadamente el programa */
	printf("Uso: %s número\n", argv[0]);
	return 1;	/* Devolvemos error porque no se ha podido ejecutar el programa */
    }

    i = atoi(argv[1]);	/* atoi transforma una cadena de caracteres en número */

    printf("El doble de %d es: %d\n", i, 2 * i);

    return 0;
}
